Bug 1827563 (CVE-2020-11945) - CVE-2020-11945 squid: improper access restriction upon Digest Authentication nonce replay could lead to remote code execution
Summary: CVE-2020-11945 squid: improper access restriction upon Digest Authentication ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-11945
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1828361 1828369 1827564 1828359 1828363 1828365 1828367
Blocks: 1827553
TreeView+ depends on / blocked
 
Reported: 2020-04-24 08:19 UTC by Marian Rehak
Modified: 2020-07-13 07:53 UTC (History)
7 users (show)

Fixed In Version: squid 4.11, squid 5.0.2
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Squid, where a remote attacker can replay a sniffed Digest Authentication nonce to gain access to resources that are otherwise forbidden. This issue occurs because the attacker can overflow the nonce reference counter, which results in remote code execution if the pooled token credentials are freed.
Clone Of:
Environment:
Last Closed: 2020-05-06 16:32:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:2038 None None None 2020-05-06 12:14:32 UTC
Red Hat Product Errata RHSA-2020:2039 None None None 2020-05-06 13:24:26 UTC
Red Hat Product Errata RHSA-2020:2040 None None None 2020-05-06 13:48:36 UTC
Red Hat Product Errata RHSA-2020:2041 None None None 2020-05-06 13:48:12 UTC

Description Marian Rehak 2020-04-24 08:19:57 UTC
A remote attacker can replay a sniffed Digest Authentication nonce to gain access to resources that are otherwise forbidden. This occurs because the attacker can overflow the nonce reference counter, which may result in Remote code execution if the pooled token credentials are freed.

Comment 1 Marian Rehak 2020-04-24 08:20:26 UTC
Created squid tracking bugs for this issue:

Affects: fedora-all [bug 1827564]

Comment 2 Marian Rehak 2020-04-24 08:20:44 UTC
Upstream Fix:

https://github.com/squid-cache/squid/pull/585

Comment 3 Stefan Cornelius 2020-04-24 12:13:54 UTC
External References:

http://www.squid-cache.org/Advisories/SQUID-2020_4.txt

Comment 8 errata-xmlrpc 2020-05-06 12:14:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.0 Update Services for SAP Solutions

Via RHSA-2020:2038 https://access.redhat.com/errata/RHSA-2020:2038

Comment 9 errata-xmlrpc 2020-05-06 13:24:25 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8.1 Extended Update Support

Via RHSA-2020:2039 https://access.redhat.com/errata/RHSA-2020:2039

Comment 10 errata-xmlrpc 2020-05-06 13:48:11 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:2041 https://access.redhat.com/errata/RHSA-2020:2041

Comment 11 errata-xmlrpc 2020-05-06 13:48:35 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:2040 https://access.redhat.com/errata/RHSA-2020:2040

Comment 12 Product Security DevOps Team 2020-05-06 16:32:00 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-11945


Note You need to log in before you can comment on or make changes to this bug.